#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Sub
%define	pnam	Identify
Summary:	Sub::Identify - Retrieve names of code references
Summary(pl.UTF-8):	Sub::Identify - odtwarzanie nazw z referencji do kodu
Name:		perl-Sub-Identify
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sub/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9223e830bfdfbd6f40675e3bec76688
URL:		http://search.cpan.org/dist/Sub-Identify/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sub::Identify allows you to retrieve the real name of code references.
For this, it uses Perl's introspection mechanism, provided by the B
module.

%description -l pl.UTF-8
Sub::Identify umożliwia odtworzenie prawdziwej nazwy z referencji do
kodu. W tym celu wykorzystuje mechanizm obserwacyjny Perla
udostępniany przez moduł B.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Sub/Identify.pm
%dir %{perl_vendorarch}/auto/Sub/Identify
%attr(755,root,root) %{perl_vendorarch}/auto/Sub/Identify/Identify.so
%{_mandir}/man3/Sub::Identify.3pm*
%changelog
* Sat Nov 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sub-Identify.git;a=log;h=master

* Sat Nov 05 2016 Jakub Bogusz <qboosh@pld-linux.org> e00fe8e
- updated to 0.12

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e60a87f
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c0d6d4e
- release 2 (by relup.sh)

* Sat Mar 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 32a375a
- updated to 0.10

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d9ccdbf
- x32 rebuild
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 8147520
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 449ac0c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ce1a1e9
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> de596eb
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 1c02bb1
- rel 3

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 6e4a804
- package .bs

* Sat Feb 05 2011 sparky <sparky@pld-linux.org> 2997248
- marked pl description as UTF-8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 932c8ad
- release 2

* Sun Feb 01 2009 radek <radek@pld-linux.org> 624a7d3
- version 0.04, not noarch anymore

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 6cf6358
- new

